# Class MatCheckboxHasEnablePermissionDirective

#### Hierarchy (view full)

- HasEnablePermission
  - MatCheckboxHasEnablePermissionDirective

- Defined in lib/mat-checkbox-has-enable-permission.directive.ts:21

#####
Index

### Constructors

constructor

### Properties

cdr
identifier
matCheckbox

### Methods

ngOnDestroy
ngOnInit
setDisabled

## Constructors

### constructor

- new MatCheckboxHasEnablePermissionDirective(authorization, cdr, matCheckbox, scope, valueAccessor?): MatCheckboxHasEnablePermissionDirective

- #### Parameters

  - authorization: AuthorizationService
  - cdr: ChangeDetectorRef
  - matCheckbox: MatCheckbox
  - scope: string
  - valueAccessor: ControlValueAccessor[] = null

  #### Returns MatCheckboxHasEnablePermissionDirective

  Overrides HasEnablePermission.constructor

  - Defined in lib/mat-checkbox-has-enable-permission.directive.ts:25

## Properties

### `Protected` `Readonly` cdr

cdr: ChangeDetectorRef

Inherited from HasEnablePermission.cdr

- Defined in lib/has-enable-permission.ts:28

### identifier

identifier: string

Overrides HasEnablePermission.identifier

- Defined in lib/mat-checkbox-has-enable-permission.directive.ts:23

### `Private` `Readonly` matCheckbox

matCheckbox: MatCheckbox

- Defined in lib/mat-checkbox-has-enable-permission.directive.ts:31

## Methods

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Inherited from HasEnablePermission.ngOnDestroy

  - Defined in lib/has-enable-permission.ts:60

### ngOnInit

- ngOnInit(): void

- #### Returns void

  Inherited from HasEnablePermission.ngOnInit

  - Defined in lib/has-enable-permission.ts:39

### setDisabled

- setDisabled(disabled): void

- #### Parameters

  - disabled: boolean

  #### Returns void

  Overrides HasEnablePermission.setDisabled

  - Defined in lib/mat-checkbox-has-enable-permission.directive.ts:42